Submit job posting application
curl --request POST \
--url https://api.gospott.com/vacancy-portal/jobs/{jobBoardPostingId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"cvAttachmentId": "<string>",
"coverLetterAttachmentId": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"linkedinUrl": "<string>",
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://api.gospott.com/vacancy-portal/jobs/{jobBoardPostingId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"cvAttachmentId": "<string>",
"coverLetterAttachmentId": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"linkedinUrl": "<string>",
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>",
"id": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
cvAttachmentId: '<string>',
coverLetterAttachmentId: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
linkedinUrl: '<string>',
location: {
street1: '<string>',
street2: '<string>',
postalCode: '<string>',
city: '<string>',
region: '<string>',
state: '<string>',
country: '<string>',
rawCityCountry: '<string>',
latitude: 123,
longitude: 123,
formattedAddress: '<string>',
id: '<string>'
}
})
};
fetch('https://api.gospott.com/vacancy-portal/jobs/{jobBoardPostingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Job Portal
Submit job posting application
Submit an application for a publicly posted job through the vacancy portal.
POST
/
vacancy-portal
/
jobs
/
{jobBoardPostingId}
Submit job posting application
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Query Parameters
The channel from which Broadbean redirected.
Body
application/json
Required string length:
1 - 100Pattern:
^(?=.*\p{L})[\p{L}\p{M} '’.-]+$Required string length:
1 - 100Pattern:
^(?=.*\p{L})[\p{L}\p{M} '’.-]+$Required string length:
1 - 100Required string length:
1 - 100Required string length:
3 - 254Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Maximum string length:
2048Show child attributes
Show child attributes
Response
Application submitted successfully.
Was this page helpful?
⌘I

